package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 药学信息收集分享药学科普表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpZskcxPharmaceuticalShareService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpZskcxPharmaceuticalShare(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxPharmaceuticalShareMapper.addSDtpZskcxPharmaceuticalShare", pd);
    }

    public List<PageData> findSDtpZskcxPharmaceuticalShareList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpZskcxPharmaceuticalShareMapper.selectSDtpZskcxPharmaceuticalShareList", pd);
    }

    public Integer SDtpZskcxPharmaceuticalShareRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpZskcxPharmaceuticalShareMapper.SDtpZskcxPharmaceuticalShareRemove", pd);
    }


    public Integer updateSDtpZskcxPharmaceuticalShare(PageData pd)throws Exception {
        return daoSupport.update("SDtpZskcxPharmaceuticalShareMapper.updateSDtpZskcxPharmaceuticalShare", pd);
    }

}
